Prefer gtk-2 over gtk-3 for the time being as some functions are now marked as deprec...
[dhcpcd-ui] / configure
index 6be180d62798ac25087a8c30e78ebd790c7dffcf..4a75fe537eaf11403a424209b6e432839cb2c0ee 100755 (executable)
--- a/configure
+++ b/configure
@@ -285,10 +285,10 @@ echo "DBUS_LIBS=  $DBUS_LIBS" >>$CONFIG_MK
 
 UI=
 if [ "$WITH_GTK" = yes -o -z "$WITH_GTK" ]; then
-       if pkg-config --cflags gtk+-3.0 >/dev/null 2>&1; then
-               WITH_GTK="gtk+-3.0"
-       elif pkg-config --cflags gtk+-2.0 >/dev/null 2>&1; then
+       if pkg-config --cflags gtk+-2.0 >/dev/null 2>&1; then
                WITH_GTK="gtk+-2.0"
+       elif pkg-config --cflags gtk+-3.0 >/dev/null 2>&1; then
+               WITH_GTK="gtk+-3.0"
        fi
 elif [ -n "$WITH_GTK" -a "$WITH_GTK" != no ]; then
        if ! pkg-config --cflags $WITH_GTK >/dev/null; then